Deployments.ai Docs
Email

Register a sending domain ownership challenge

POST /v1/email/tenants/{tenantId}/domains · SDK createEmailDomain · CLI deployments email-domain create

POST
/v1/email/tenants/{tenantId}/domains

Requires email:admin.

Authorization

platformBearer
headerAuthorizationBearer <token>

Platform bearer credential accepted as an opaque API key or JWT.

Path Parameters

tenantId*string
Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$

Header Parameters

x-deployments-environment*string
Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$
idempotency-key*string
Length1 <= length <= 512

Request Body

application/json
  1. body
domain*string

Response Body

EmailDomainResponse

application/json
  1. response
id*string
Match^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$
organizationId*string
Match^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$
projectId*string
Match^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$
environmentId*string
Match^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$
createdAt*string
Match^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
Formatdate-time
updatedAt*string
Match^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
Formatdate-time
tenantId*string
Match^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$
domain*string
status*string
Value in"pending""provisioning""pending_dns""verified""failed""revoked"
dnsRecords*array<>
mailFromDomain*string
failureReason?string
lastCheckedAt?string
Match^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
Formatdate-time
verifiedAt?string
Match^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
Formatdate-time
curl -X POST "https://example.com/v1/email/tenants/string/domains" \  -H "x-deployments-environment: string" \  -H "idempotency-key: string" \  -H "Content-Type: application/json" \  -d '{    "domain": "string"  }'
{  "id": "string",  "organizationId": "string",  "projectId": "string",  "environmentId": "string",  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z",  "tenantId": "string",  "domain": "string",  "status": "pending",  "dnsRecords": [    {      "name": "string",      "type": "CNAME",      "value": "string",      "priority": 0    }  ],  "mailFromDomain": "string",  "failureReason": "string",  "lastCheckedAt": "2019-08-24T14:15:22Z",  "verifiedAt": "2019-08-24T14:15:22Z"}